Terrific and always compatible up until Firefox 29 Rated 5 out of 5 stars

I hope that a way can be found to make Forecast Fox compatible with Firefox 29+, I really miss it.

I've used it for several years going back maybe a dozen releases and its always worked just fine.